% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/vov.R
\name{shake_vertical}
\alias{shake_vertical}
\title{Shake vertical}
\usage{
shake_vertical(ui, duration = NULL, delay = NULL)
}
\arguments{
\item{ui}{A UI element}

\item{duration}{Duration of animation; Enter word: "fast" = 800 milliseconds, "faster" = 500 milliseconds, "fastest" = 300 milliseconds, "slow" = 2 seconds, "slower" = 3 seconds, "slowest" = 4 seconds}

\item{delay}{Delay in seconds before animation starts; Enter value: 0 - 5}
}
\description{
Animation to shake a UI element vertically.
}
\examples{
if (interactive()) {
  library(shiny)
  library(vov)

  ui <- fluidPage(
    use_vov(),
    shake_vertical(
      h1("Hello world!")
    )
  )

  server <- function(input, output, session) {}

  shinyApp(ui, server)
}
}
